Index: source/ariba/Makefile.am
===================================================================
--- source/ariba/Makefile.am	(revision 7744)
+++ source/ariba/Makefile.am	(revision 10653)
@@ -18,5 +18,5 @@
 # project version number!!
 
-libariba_la_LDFLAGS = -version-info 0:0:0
+libariba_la_LDFLAGS = -version-info 1:0:0
 
 # compiler flags ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -144,5 +144,4 @@
   overlay/messages/JoinReply.cpp \
   overlay/messages/JoinRequest.cpp \
-  overlay/messages/DHTMessage.cpp \
   overlay/messages/OverlayMsg.cpp
 
@@ -150,5 +149,4 @@
   overlay/messages/JoinReply.h \
   overlay/messages/JoinRequest.h \
-  overlay/messages/DHTMessage.h\
   overlay/messages/OverlayMsg.h
 
@@ -278,64 +276,27 @@
 libariba_la_SOURCES += \
   utility/transport/tcpip/tcpip.cpp \
-  utility/transport/tcpip/protlib/timer_module.cpp \
-  utility/transport/tcpip/protlib/setuid.cpp \
-  utility/transport/tcpip/protlib/queuemanager.cpp \
-  utility/transport/tcpip/protlib/messages.cpp \
-  utility/transport/tcpip/protlib/fqueue.cpp \
-  utility/transport/tcpip/protlib/fastqueue.c \
-  utility/transport/tcpip/protlib/eclock_gettime.c \
-  utility/transport/tcpip/protlib/tp_over_udp.cpp \
-  utility/transport/tcpip/protlib/connectionmap_uds.cpp \
-  utility/transport/tcpip/protlib/network_message.cpp \
-  utility/transport/tcpip/protlib/threadsafe_db.cpp \
-  utility/transport/tcpip/protlib/timer.cpp \
-  utility/transport/tcpip/protlib/address.cpp \
-  utility/transport/tcpip/protlib/connectionmap.cpp \
-  utility/transport/tcpip/protlib/tp.cpp \
-  utility/transport/tcpip/protlib/tp_over_tcp.cpp \
-  utility/transport/tcpip/protlib/configuration.cpp \
-  utility/transport/tcpip/protlib/ie.cpp \
-  utility/transport/tcpip/protlib/threads.cpp \
-  utility/transport/tcpip/protlib/logfile.cpp \
   utility/transport/transport_peer.cpp \
-  utility/transport/rfcomm/rfcomm.cpp \
-  utility/transport/asio/asio_io_service.cpp
+  utility/transport/rfcomm/rfcomm_transport.cpp \
+  utility/transport/asio/unique_io_service.cpp \
+  utility/transport/messages/buffer.cpp \
+  utility/transport/messages/message.cpp \
+  utility/transport/messages/shared_buffer.cpp
 
 nobase_libariba_la_HEADERS += \
   utility/transport/test_transport.hpp \
   utility/transport/tcpip/tcpip.hpp \
+  utility/transport/transport_connection.hpp \
+  utility/transport/transport_listener.hpp \
   utility/transport/transport_peer.hpp \
   utility/transport/transport_protocol.hpp \
-  utility/transport/rfcomm/rfcomm.hpp \
+  utility/transport/rfcomm/rfcomm_transport.hpp \
+  utility/transport/rfcomm/bluetooth_endpoint.hpp \
+  utility/transport/rfcomm/bluetooth_rfcomm.hpp \
   utility/transport/transport.hpp \
-  utility/transport/asio/bluetooth_endpoint.hpp \
-  utility/transport/asio/rfcomm.hpp \
-  utility/transport/transport_listener.hpp \
-  utility/transport/asio/asio_io_service.h \
-  utility/transport/tcpip/protlib/threadsafe_db.h \
-  utility/transport/tcpip/protlib/configuration.h \
-  utility/transport/tcpip/protlib/ie.h \
-  utility/transport/tcpip/protlib/llhashers.h \
-  utility/transport/tcpip/protlib/fqueue.h \
-  utility/transport/tcpip/protlib/assocdata_uds.h \
-  utility/transport/tcpip/protlib/address.h \
-  utility/transport/tcpip/protlib/logfile.h \
-  utility/transport/tcpip/protlib/timer.h \
-  utility/transport/tcpip/protlib/queuemanager.h \
-  utility/transport/tcpip/protlib/messages.h \
-  utility/transport/tcpip/protlib/assocdata.h \
-  utility/transport/tcpip/protlib/protlib_types.h \
-  utility/transport/tcpip/protlib/tp_over_tcp.h \
-  utility/transport/tcpip/protlib/tp_over_udp.h \
-  utility/transport/tcpip/protlib/tp.h \
-  utility/transport/tcpip/protlib/threads.h \
-  utility/transport/tcpip/protlib/connectionmap.h \
-  utility/transport/tcpip/protlib/timer_module.h \
-  utility/transport/tcpip/protlib/fastqueue.h \
-  utility/transport/tcpip/protlib/tperror.h \
-  utility/transport/tcpip/protlib/network_message.h \
-  utility/transport/tcpip/protlib/setuid.h \
-  utility/transport/tcpip/protlib/cleanuphandler.h \
-  utility/transport/tcpip/protlib/connectionmap_uds.h
+  utility/transport/asio/unique_io_service.h \
+  utility/transport/messages/buffer.hpp \
+  utility/transport/messages/buffers.hpp \
+  utility/transport/messages/message.hpp \
+  utility/transport/messages/shared_buffer.hpp
 
 #------------> utility :: messages
